Package org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning

# Class MultilineNonConsumingRule.BadToken

java.lang.Object
org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.MultilineNonConsumingRule.BadToken

All Implemented Interfaces:
  `IToken`

Enclosing class:
  MultilineNonConsumingRule

public static class MultilineNonConsumingRule.BadToken extends Object implements IToken
Dummy token used to specify in return that a token has not been found.

## Constructor Summary

Constructors
Constructor
Description
`BadToken()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getData()`
`boolean`
`isEOF()`
`boolean`
`isOther()`
`boolean`
`isUndefined()`
`boolean`
`isWhitespace()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BadToken

public BadToken()

## Method Details

### getData

public Object getData()

Specified by:
  `getData` in interface `IToken`

### isEOF

public boolean isEOF()

Specified by:
  `isEOF` in interface `IToken`

### isOther

public boolean isOther()

Specified by:
  `isOther` in interface `IToken`

### isUndefined

public boolean isUndefined()

Specified by:
  `isUndefined` in interface `IToken`

### isWhitespace

public boolean isWhitespace()

Specified by:
  `isWhitespace` in interface `IToken`